<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/DayZIntroScenePC.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d3a/_day_z_intro_scene_p_c_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DayZIntroScenePC.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d3a/_day_z_intro_scene_p_c_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d75/class_day_z_intro_scene_p_c.html">DayZIntroScenePC</a> : <a class="code hl_class" href="../../da/dcf/class_day_z_intro_scene.html">DayZIntroScene</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#acf3c41a19833f99bc47e39c5b8fb9caa">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>      <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#acf3c41a19833f99bc47e39c5b8fb9caa">m_EnableClick</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>      <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">m_RotatingCharacter</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4440e45af1aebf4a6fa967bace6723ae">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4440e45af1aebf4a6fa967bace6723ae">m_RotatingCharacterMouseX</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a7577a541787b058876d0c3c9cca693c5">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>       <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a7577a541787b058876d0c3c9cca693c5">m_RotatingCharacterMouseY</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a62eb1edd9a8434fc4d1d3b1c9b86f72d">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a62eb1edd9a8434fc4d1d3b1c9b86f72d">m_RotatingCharacterRot</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">m_Radius</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a988fff802f751a6565f980683595f46f">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a988fff802f751a6565f980683595f46f">m_Radius_original</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a182d036fb8c2c0b875ff8879195d4be7">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a182d036fb8c2c0b875ff8879195d4be7">m_DiffX</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4d9cb8c36b6918fbb92afb481eac43f8">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4d9cb8c36b6918fbb92afb481eac43f8">m_DeltaX</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#aa536c9abf0a9533cb1fbc603b3bba0cc">   12</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#aa536c9abf0a9533cb1fbc603b3bba0cc">m_DeltaZ</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a51ba660eea4e634da7b1c38f144c15a4">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a51ba660eea4e634da7b1c38f144c15a4">m_Angle</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad07a3d0987215df92f24016ffc086458">   14</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad07a3d0987215df92f24016ffc086458">m_Angle_offset</a> = 0;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a0aef8d0ebd2adf693d755940c592e6f6">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a0aef8d0ebd2adf693d755940c592e6f6">m_NewX</a> = 0;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ac0791b993d7db56dd71b98bb14870525">   16</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ac0791b993d7db56dd71b98bb14870525">m_NewZ</a> = 0;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4e14fa0667c2047fc456e43e040013ef">   17</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>     <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4e14fa0667c2047fc456e43e040013ef">m_BlurValue</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af0670088a107e1aa24e038068e94e74f">   19</a></span>    <span class="keyword">protected</span> ref OptionsMenu <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af0670088a107e1aa24e038068e94e74f">m_optmenu</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a5778daa4cc3cfa5600cadd34f660a793">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a5778daa4cc3cfa5600cadd34f660a793">DayZIntroScenePC</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9ff1a5bf5c84dc46bee505460d4f8615">SetClickEnable</a>( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4d9cb8c36b6918fbb92afb481eac43f8">m_DeltaX</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">AbsFloat</a>(<a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#a9042c8582a30accc85734a1fe33604b9">m_CharacterPos</a>[0] - <a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#a6c6260c5422d78368c964ec58771aef9">m_Camera</a>.GetPosition()[0]);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#aa536c9abf0a9533cb1fbc603b3bba0cc">m_DeltaZ</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">AbsFloat</a>(<a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#a9042c8582a30accc85734a1fe33604b9">m_CharacterPos</a>[2] - <a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#a6c6260c5422d78368c964ec58771aef9">m_Camera</a>.GetPosition()[2]);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">m_Radius</a> || <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">m_Radius</a> == 0)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">m_Radius</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Sqrt</a> (<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>(<a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4d9cb8c36b6918fbb92afb481eac43f8">m_DeltaX</a>, 2) + <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>(<a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#aa536c9abf0a9533cb1fbc603b3bba0cc">m_DeltaZ</a>, 2));</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a988fff802f751a6565f980683595f46f">m_Radius_original</a> = <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">m_Radius</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af948b221a6c1b77b69ef4d4a76d6d5cb">   36</a></span>    <span class="keyword">protected</span> <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af948b221a6c1b77b69ef4d4a76d6d5cb">SetInitPostprocesses</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        super.SetInitPostprocesses();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        PPERequester_MenuEffects requester;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(requester,PPERequesterBank.GetRequester(PPERequester_MenuEffects));</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        requester.SetVignetteIntensity(0.5);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9ff1a5bf5c84dc46bee505460d4f8615">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9ff1a5bf5c84dc46bee505460d4f8615">SetClickEnable</a>( <span class="keywordtype">bool</span> enable )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#acf3c41a19833f99bc47e39c5b8fb9caa">m_EnableClick</a> = enable;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af34d0e6f3c6af6c19ea3681963d85131">   53</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af34d0e6f3c6af6c19ea3681963d85131">IsClickEnabled</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#acf3c41a19833f99bc47e39c5b8fb9caa">m_EnableClick</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#adec1b8a2e42de22c0aeeb7ba4c889b8c">   59</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#adec1b8a2e42de22c0aeeb7ba4c889b8c">CharacterRotationStart</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">m_RotatingCharacter</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetMousePos(<a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4440e45af1aebf4a6fa967bace6723ae">m_RotatingCharacterMouseX</a>, <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a7577a541787b058876d0c3c9cca693c5">m_RotatingCharacterMouseY</a>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#ac5d2a51833611354a5d52f1093a0e405">m_Character</a>) </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a62eb1edd9a8434fc4d1d3b1c9b86f72d">m_RotatingCharacterRot</a> = <a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#a41bd6dcfa7d6d666ae4a54f8323ec64c">m_CharacterRot</a>[0];</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af1c94d64c98801f87abf91cc87b44349">   71</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af1c94d64c98801f87abf91cc87b44349">CharacterRotationStop</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">m_RotatingCharacter</a>)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">m_RotatingCharacter</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad47f6a9dae697ed67db9b413ae411d5e">   80</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad47f6a9dae697ed67db9b413ae411d5e">IsRotatingCharacter</a>()</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">m_RotatingCharacter</a>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a977078e163e34d41040b014971a21e09">   86</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a977078e163e34d41040b014971a21e09">CharacterRotate</a>()</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#ac5d2a51833611354a5d52f1093a0e405">m_Character</a> &amp;&amp; <a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#ac5d2a51833611354a5d52f1093a0e405">m_Character</a>.GetCharacterObj())</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordtype">int</span> actual_mouse_x;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordtype">int</span> actual_mouse_y;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordtype">float</span> coef;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetMousePos(actual_mouse_x, actual_mouse_y);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a182d036fb8c2c0b875ff8879195d4be7">m_DiffX</a> = <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4440e45af1aebf4a6fa967bace6723ae">m_RotatingCharacterMouseX</a> - actual_mouse_x;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            coef = ( <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a62eb1edd9a8434fc4d1d3b1c9b86f72d">m_RotatingCharacterRot</a> + (<a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a182d036fb8c2c0b875ff8879195d4be7">m_DiffX</a> * 0.5) ) / 360;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            coef = coef - <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga16e805acd55f171477bd5ca7dbaa5a18">Floor</a>(coef);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#a41bd6dcfa7d6d666ae4a54f8323ec64c">m_CharacterRot</a>[0] = coef * 360;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#ac5d2a51833611354a5d52f1093a0e405">m_Character</a>.GetCharacterObj().SetOrientation(<a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#a41bd6dcfa7d6d666ae4a54f8323ec64c">m_CharacterRot</a>);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9652cd0bdad92a44d1867697e4dd536b">  106</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9652cd0bdad92a44d1867697e4dd536b">Update</a>()</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/dcf/class_day_z_intro_scene.html#ac5d2a51833611354a5d52f1093a0e405">m_Character</a> &amp;&amp; <a class="code hl_variable" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">m_RotatingCharacter</a>)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_function" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a977078e163e34d41040b014971a21e09">CharacterRotate</a>();</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    }       </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>};</div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03147">DayZGame.c:3147</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_html"><div class="ttname"><a href="../../da/dcf/class_day_z_intro_scene.html">DayZIntroScene</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da6/_day_z_intro_scene_8c_source.html#l00001">DayZIntroScene.c:2</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_html_a41bd6dcfa7d6d666ae4a54f8323ec64c"><div class="ttname"><a href="../../da/dcf/class_day_z_intro_scene.html#a41bd6dcfa7d6d666ae4a54f8323ec64c">DayZIntroScene::m_CharacterRot</a></div><div class="ttdeci">protected vector m_CharacterRot</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da6/_day_z_intro_scene_8c_source.html#l00007">DayZIntroScene.c:7</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_html_a6c6260c5422d78368c964ec58771aef9"><div class="ttname"><a href="../../da/dcf/class_day_z_intro_scene.html#a6c6260c5422d78368c964ec58771aef9">DayZIntroScene::m_Camera</a></div><div class="ttdeci">protected Camera m_Camera</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da6/_day_z_intro_scene_8c_source.html#l00004">DayZIntroScene.c:4</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_html_a9042c8582a30accc85734a1fe33604b9"><div class="ttname"><a href="../../da/dcf/class_day_z_intro_scene.html#a9042c8582a30accc85734a1fe33604b9">DayZIntroScene::m_CharacterPos</a></div><div class="ttdeci">protected vector m_CharacterPos</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da6/_day_z_intro_scene_8c_source.html#l00006">DayZIntroScene.c:6</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_html_ac5d2a51833611354a5d52f1093a0e405"><div class="ttname"><a href="../../da/dcf/class_day_z_intro_scene.html#ac5d2a51833611354a5d52f1093a0e405">DayZIntroScene::m_Character</a></div><div class="ttdeci">protected ref IntroSceneCharacter m_Character</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da6/_day_z_intro_scene_8c_source.html#l00003">DayZIntroScene.c:3</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html">DayZIntroScenePC</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00001">DayZIntroScenePC.c:2</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a0aef8d0ebd2adf693d755940c592e6f6"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a0aef8d0ebd2adf693d755940c592e6f6">DayZIntroScenePC::m_NewX</a></div><div class="ttdeci">protected float m_NewX</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00015">DayZIntroScenePC.c:15</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a182d036fb8c2c0b875ff8879195d4be7"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a182d036fb8c2c0b875ff8879195d4be7">DayZIntroScenePC::m_DiffX</a></div><div class="ttdeci">protected float m_DiffX</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00010">DayZIntroScenePC.c:10</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a4440e45af1aebf4a6fa967bace6723ae"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4440e45af1aebf4a6fa967bace6723ae">DayZIntroScenePC::m_RotatingCharacterMouseX</a></div><div class="ttdeci">protected int m_RotatingCharacterMouseX</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00005">DayZIntroScenePC.c:5</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a4d9cb8c36b6918fbb92afb481eac43f8"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4d9cb8c36b6918fbb92afb481eac43f8">DayZIntroScenePC::m_DeltaX</a></div><div class="ttdeci">protected float m_DeltaX</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00011">DayZIntroScenePC.c:11</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a4e14fa0667c2047fc456e43e040013ef"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4e14fa0667c2047fc456e43e040013ef">DayZIntroScenePC::m_BlurValue</a></div><div class="ttdeci">protected float m_BlurValue</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00017">DayZIntroScenePC.c:17</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a51ba660eea4e634da7b1c38f144c15a4"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a51ba660eea4e634da7b1c38f144c15a4">DayZIntroScenePC::m_Angle</a></div><div class="ttdeci">protected float m_Angle</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00013">DayZIntroScenePC.c:13</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a5778daa4cc3cfa5600cadd34f660a793"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a5778daa4cc3cfa5600cadd34f660a793">DayZIntroScenePC::DayZIntroScenePC</a></div><div class="ttdeci">void DayZIntroScenePC()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00022">DayZIntroScenePC.c:22</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a62eb1edd9a8434fc4d1d3b1c9b86f72d"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a62eb1edd9a8434fc4d1d3b1c9b86f72d">DayZIntroScenePC::m_RotatingCharacterRot</a></div><div class="ttdeci">protected float m_RotatingCharacterRot</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00007">DayZIntroScenePC.c:7</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a7577a541787b058876d0c3c9cca693c5"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a7577a541787b058876d0c3c9cca693c5">DayZIntroScenePC::m_RotatingCharacterMouseY</a></div><div class="ttdeci">protected int m_RotatingCharacterMouseY</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00006">DayZIntroScenePC.c:6</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a87fc2a5f55ed7d04ea7095935ead99ca"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">DayZIntroScenePC::m_Radius</a></div><div class="ttdeci">protected float m_Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00008">DayZIntroScenePC.c:8</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a9652cd0bdad92a44d1867697e4dd536b"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9652cd0bdad92a44d1867697e4dd536b">DayZIntroScenePC::Update</a></div><div class="ttdeci">void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00106">DayZIntroScenePC.c:106</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a977078e163e34d41040b014971a21e09"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a977078e163e34d41040b014971a21e09">DayZIntroScenePC::CharacterRotate</a></div><div class="ttdeci">void CharacterRotate()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00086">DayZIntroScenePC.c:86</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a988fff802f751a6565f980683595f46f"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a988fff802f751a6565f980683595f46f">DayZIntroScenePC::m_Radius_original</a></div><div class="ttdeci">protected float m_Radius_original</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00009">DayZIntroScenePC.c:9</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a9f570735054730213dfc95deaad9b2cb"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">DayZIntroScenePC::m_RotatingCharacter</a></div><div class="ttdeci">protected bool m_RotatingCharacter</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00004">DayZIntroScenePC.c:4</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_a9ff1a5bf5c84dc46bee505460d4f8615"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9ff1a5bf5c84dc46bee505460d4f8615">DayZIntroScenePC::SetClickEnable</a></div><div class="ttdeci">void SetClickEnable(bool enable)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00047">DayZIntroScenePC.c:47</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_aa536c9abf0a9533cb1fbc603b3bba0cc"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#aa536c9abf0a9533cb1fbc603b3bba0cc">DayZIntroScenePC::m_DeltaZ</a></div><div class="ttdeci">protected float m_DeltaZ</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00012">DayZIntroScenePC.c:12</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_ac0791b993d7db56dd71b98bb14870525"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#ac0791b993d7db56dd71b98bb14870525">DayZIntroScenePC::m_NewZ</a></div><div class="ttdeci">protected float m_NewZ</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00016">DayZIntroScenePC.c:16</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_acf3c41a19833f99bc47e39c5b8fb9caa"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#acf3c41a19833f99bc47e39c5b8fb9caa">DayZIntroScenePC::m_EnableClick</a></div><div class="ttdeci">protected bool m_EnableClick</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00003">DayZIntroScenePC.c:3</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_ad07a3d0987215df92f24016ffc086458"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad07a3d0987215df92f24016ffc086458">DayZIntroScenePC::m_Angle_offset</a></div><div class="ttdeci">protected float m_Angle_offset</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00014">DayZIntroScenePC.c:14</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_ad47f6a9dae697ed67db9b413ae411d5e"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad47f6a9dae697ed67db9b413ae411d5e">DayZIntroScenePC::IsRotatingCharacter</a></div><div class="ttdeci">bool IsRotatingCharacter()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00080">DayZIntroScenePC.c:80</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_adec1b8a2e42de22c0aeeb7ba4c889b8c"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#adec1b8a2e42de22c0aeeb7ba4c889b8c">DayZIntroScenePC::CharacterRotationStart</a></div><div class="ttdeci">void CharacterRotationStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00059">DayZIntroScenePC.c:59</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_af0670088a107e1aa24e038068e94e74f"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#af0670088a107e1aa24e038068e94e74f">DayZIntroScenePC::m_optmenu</a></div><div class="ttdeci">protected ref OptionsMenu m_optmenu</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00019">DayZIntroScenePC.c:19</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_af1c94d64c98801f87abf91cc87b44349"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#af1c94d64c98801f87abf91cc87b44349">DayZIntroScenePC::CharacterRotationStop</a></div><div class="ttdeci">void CharacterRotationStop()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00071">DayZIntroScenePC.c:71</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_af34d0e6f3c6af6c19ea3681963d85131"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#af34d0e6f3c6af6c19ea3681963d85131">DayZIntroScenePC::IsClickEnabled</a></div><div class="ttdeci">bool IsClickEnabled()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00053">DayZIntroScenePC.c:53</a></div></div>
<div class="ttc" id="aclass_day_z_intro_scene_p_c_html_af948b221a6c1b77b69ef4d4a76d6d5cb"><div class="ttname"><a href="../../d1/d75/class_day_z_intro_scene_p_c.html#af948b221a6c1b77b69ef4d4a76d6d5cb">DayZIntroScenePC::SetInitPostprocesses</a></div><div class="ttdeci">protected override void SetInitPostprocesses()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00036">DayZIntroScenePC.c:36</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga16e805acd55f171477bd5ca7dbaa5a18"><div class="ttname"><a href="../../d5/d98/group___math.html#ga16e805acd55f171477bd5ca7dbaa5a18">Math::Floor</a></div><div class="ttdeci">static proto float Floor(float f)</div><div class="ttdoc">Returns floor of value.</div></div>
<div class="ttc" id="agroup___math_html_ga3f01887a546a08f28dad75287e3fb830"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Math::Sqrt</a></div><div class="ttdeci">static proto float Sqrt(float val)</div><div class="ttdoc">Returns square root.</div></div>
<div class="ttc" id="agroup___math_html_gab5e095de61335667a5fc38d9d538d89f"><div class="ttname"><a href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Math::Pow</a></div><div class="ttdeci">static proto float Pow(float v, float power)</div><div class="ttdoc">Return power of v ^ power.</div></div>
<div class="ttc" id="agroup___math_html_gadf8820d46eee5033af2e12212c22b16e"><div class="ttname"><a href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">Math::AbsFloat</a></div><div class="ttdeci">static proto float AbsFloat(float f)</div><div class="ttdoc">Returns absolute value.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c.html">DayZIntroScenePC.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
